#include<bits/stdc++.h>

using namespace std;

int main(){
    int n,m;
    cin>>n>>m;
    vector<int> a(n+1),b(n+1),l(m),r(m),w(m);
    for(int i=1;i<=n;i++)
    cin>>a[i]>>b[i];
    for(int i=0;i<m;i++)
    cin>>l[i]>>r[i]>>w[i];
    for(int i=0;i<m;i++)
    {
        int j=r[i];
       int pom=0;
        while(j>=l[i])
        {
            if(b[j]>=w[i] && a[j]<=w[i])
            pom++;
            j--;
        }
        cout<<pom<<endl;
    }
    return 0;
}